Infront Data Manager Connect Client (.NET)

Public Member Functions | List of all members
Gevasys.DataCore.Client.Consumer.Error.ConsumerError Class Reference

Holds data with detailed information about occurred errors in a consumer. More...

## Public Member Functions
AsyncServiceCallResult | GetServiceCallResult ()
| Gets informations about the result of a service call. More...
bool | IsServiceError ()
| Indicates if the called service delivered a error. More...
ReaderError | GetIOError ()
| Gets the ReaderError if a IO error has occurred. More...
bool | IsIOError ()
| Indicates if a IO error has occurred. More...
| ConsumerError (ReaderError ioError, AsyncServiceCallResult serviceCallResult)

## Detailed Description

Holds data with detailed information about occurred errors in a consumer.

## Constructor & Destructor Documentation

## ◆ ConsumerError()

Gevasys.DataCore.Client.Consumer.Error.ConsumerError.ConsumerError | ( | ReaderError | ioError,
|  | AsyncServiceCallResult | serviceCallResult
| ) |  |
| inline

Parameters

  ioError |
  serviceCallResult |

## Member Function Documentation

## ◆ GetIOError()

ReaderError Gevasys.DataCore.Client.Consumer.Error.ConsumerError.GetIOError | ( |  | ) |
| inline

Gets the ReaderError if a IO error has occurred.

Returns
  ReaderError if a IO error has occurred or null.

## ◆ GetServiceCallResult()

AsyncServiceCallResult Gevasys.DataCore.Client.Consumer.Error.ConsumerError.GetServiceCallResult | ( |  | ) |
| inline

Gets informations about the result of a service call.

Returns
  An AsyncServiceCallResult with detailed informations.

## ◆ IsIOError()

bool Gevasys.DataCore.Client.Consumer.Error.ConsumerError.IsIOError | ( |  | ) |
| inline

Indicates if a IO error has occurred.

Returns
  True if a IO operation failed.

## ◆ IsServiceError()

bool Gevasys.DataCore.Client.Consumer.Error.ConsumerError.IsServiceError | ( |  | ) |
| inline

Indicates if the called service delivered a error.

Returns
  True if the service delivered a error.

The documentation for this class was generated from the following file:

- ConsumerError.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1